summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKevin Brubeck Unhammer2015-07-14 10:22:37 +0200
committerKevin Brubeck Unhammer2015-07-14 10:22:37 +0200
commit963fe79e846e7a7e40cdcf6b4f4c2b8e47c3ad3b (patch)
tree9ae1dc91e5fbe14a60c392f1dbf05cd0c02e1332
downloadaur-963fe79e846e7a7e40cdcf6b4f4c2b8e47c3ad3b.tar.gz
Initial import
-rw-r--r--.SRCINFO20
-rw-r--r--Makefile.am.patch37
-rw-r--r--PKGBUILD32
-rw-r--r--configure.ac.patch19
4 files changed, 108 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..1d8152c1fc3
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = apertium-eo-es
+ pkgdesc = Apertium language data for the Esperanto-Spanish translator.
+ pkgver = 1.0.0
+ pkgrel = 2
+ url = http://apertium.org
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = pkgconfig
+ depends = lttoolbox>=3.0
+ depends = apertium>=3.0
+ source = http://downloads.sourceforge.net/sourceforge/apertium/apertium-eo-es-1.0.0.tar.gz
+ source = Makefile.am.patch
+ source = configure.ac.patch
+ md5sums = 92db1e1e1cae12b93f300dbb1f1138c0
+ md5sums = d543d8d7c17fedd791b38a1694defdb3
+ md5sums = d9c2eeea53f85b61b8a225310cca9cd7
+
+pkgname = apertium-eo-es
+
diff --git a/Makefile.am.patch b/Makefile.am.patch
new file mode 100644
index 00000000000..fa88a4edf21
--- /dev/null
+++ b/Makefile.am.patch
@@ -0,0 +1,37 @@
+--- ../apertium-eo-es-1.0.0/Makefile.am 2009-11-18 19:58:26.000000000 +0100
++++ apertium-eo-es-1.0.0/Makefile.am 2010-09-15 15:28:18.000000000 +0200
+@@ -32,7 +32,7 @@
+ $(PREFIX1).autogen.bin: $(BASENAME).$(LANG1).dix
+ apertium-validate-dictionary $(BASENAME).$(LANG1).dix
+ lt-comp rl $(BASENAME).$(LANG1).dix $@
+-
++
+ $(BASENAME).$(LANG1).dix.translit: $(BASENAME).$(LANG1).dix
+ ./transliterate.sh $(BASENAME).$(LANG1).dix >$@
+
+@@ -43,7 +43,7 @@
+ $(PREFIX1).autopgen.bin: $(BASENAME).post-$(LANG1).dix
+ apertium-validate-dictionary $(BASENAME).post-$(LANG1).dix
+ lt-comp lr $(BASENAME).post-$(LANG1).dix $@
+-
++
+ $(BASENAME).post-$(LANG1).dix.translit: $(BASENAME).post-$(LANG1).dix
+ ./transliterate.sh $(BASENAME).post-$(LANG1).dix >$@
+
+@@ -121,11 +121,11 @@
+
+ install-data-local:
+ apertium-gen-modes modes.xml apertium-$(PREFIX1)
+- $(INSTALL_DATA) $(PREFIX1).mode $(apertium_eo_esmodesdir)
+- $(INSTALL_DATA) $(PREFIX2).mode $(apertium_eo_esmodesdir)
+- $(INSTALL_DATA) $(BASENAME).$(PREFIX1).t1x $(BASENAME).$(PREFIX1).t2x $(apertium_eo_esdir)
+- $(INSTALL_DATA) $(BASENAME).$(PREFIX1).t3x $(BASENAME).$(PREFIX1).t1x.translit $(apertium_eo_esdir)
+- $(INSTALL_DATA) $(BASENAME).$(PREFIX1).t2x.translit $(BASENAME).$(PREFIX1).t3x.translit $(apertium_eo_esdir)
++ $(INSTALL_DATA) $(PREFIX1).mode $(DESTDIR)$(apertium_eo_esmodesdir)
++ $(INSTALL_DATA) $(PREFIX2).mode $(DESTDIR)$(apertium_eo_esmodesdir)
++ $(INSTALL_DATA) $(BASENAME).$(PREFIX1).t1x $(BASENAME).$(PREFIX1).t2x $(DESTDIR)$(apertium_eo_esdir)
++ $(INSTALL_DATA) $(BASENAME).$(PREFIX1).t3x $(BASENAME).$(PREFIX1).t1x.translit $(DESTDIR)$(apertium_eo_esdir)
++ $(INSTALL_DATA) $(BASENAME).$(PREFIX1).t2x.translit $(BASENAME).$(PREFIX1).t3x.translit $(DESTDIR)$(apertium_eo_esdir)
+
+
+ CLEANFILES = -rf $(TARGETS) *.translit modes
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e01fa7fcb0d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Contributor: Kevin Brubeck Unhammer <unhammer@gmail.com>
+# Maintainer: Kevin Brubeck Unhammer <unhammer@gmail.com>
+pkgname=apertium-eo-es
+pkgver=1.0.0
+pkgrel=2
+pkgdesc="Apertium language data for the Esperanto-Spanish translator."
+url="http://apertium.org"
+license=('GPL')
+makedepends=('pkgconfig')
+depends=('lttoolbox>=3.0' 'apertium>=3.0')
+arch=('i686' 'x86_64')
+source=("http://downloads.sourceforge.net/sourceforge/apertium/${pkgname}-${pkgver}.tar.gz"
+ "Makefile.am.patch"
+ "configure.ac.patch")
+md5sums=('92db1e1e1cae12b93f300dbb1f1138c0'
+ 'd543d8d7c17fedd791b38a1694defdb3'
+ 'd9c2eeea53f85b61b8a225310cca9cd7')
+
+build() {
+ patch -p0 < Makefile.am.patch
+ patch -p0 < configure.ac.patch
+
+ mkdir -p "$pkgdir/usr/share/apertium/modes"
+
+ cd "$srcdir/$pkgname-$pkgver"
+
+ autoreconf -i
+
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR="$pkgdir/" install || return 1
+} \ No newline at end of file
diff --git a/configure.ac.patch b/configure.ac.patch
new file mode 100644
index 00000000000..73dc6b5921f
--- /dev/null
+++ b/configure.ac.patch
@@ -0,0 +1,19 @@
+--- ../apertium-eo-es-1.0.0/configure.ac 2009-11-18 19:58:54.000000000 +0100
++++ apertium-eo-es-1.0.0/configure.ac 2010-09-21 15:57:51.560738783 +0200
+@@ -19,8 +19,14 @@
+ APERTIUM_VER=30
+ ],
+ [
+- PKG_CHECK_MODULES(APERTIUM, apertium-3.1 >= 3.1.0)
+- APERTIUM_VER=31
++ PKG_CHECK_MODULES(APERTIUM, apertium-3.1 >= 3.1.0,
++ [
++ APERTIUM_VER=31
++ ],
++ [
++ PKG_CHECK_MODULES(APERTIUM, apertium-3.2 >= 3.2.0)
++ APERTIUM_VER=32
++ ])
+ ])
+ AC_SUBST(APERTIUM_VER)
+ ])